Subject: Re: 82557/8/9 Ethernet Pro 100 interrupt mitigation support

From: James Chapman <[email-masked]>
Date: Mon, 03 Sep 2007 14:33:35 +0100

John Sigler wrote:
> 
> Hello everyone,
> 
> I have several systems with three integrated Intel 82559 (I *think*).
> 
> Does someone know if these boards support hardware interrupt mitigation?

82558/9 hardware does, sort of. But the e100 driver doesn't use it 
because it uses NAPI to minimize rx & tx interrupts.

> I.e. is it possible to configure them to raise an IRQ only if their
> hardware buffer is full OR if some given time (say 1 ms) has passed and
> packets are available in their hardware buffer.
> 
> I've been using the eepro100 driver up to now, but I'm about to try the
> e100 driver. Would I have to use NAPI? Or is this an orthogonal feature?

Use NAPI. The e100 driver has been NAPI-only for a while.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development